///home/berryj/link/bin/genMethods "-g" "-t" "int" "-h" "SubSet" "-I" "LINK/basic/SubSet.h" "-y" "display_subset_int" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/SubSet.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>

void display_subset_int(SCM, SCM, int);

typedef int _int;
typedef SubSet<int > _SubSet_int_;
static SubSet<int > s__SubSet_int_;

#define _SubSet_int_DATA(x) ((SubSet<int >*) (EXTDATA(x)))
#define _SubSet_int_IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<SubSet<int > >::type))
#define _SubSet_int_ISNT_DATA(x) (!_SubSet_int_IS_DATA(x))

#define _SubSet_int_CXX_DATA(x) (*(SubSet<int >*) (EXTDATA(VAL(x))))
#define _SubSet_int_CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<SubSet<int > >::type))
#define _SubSet_int_CXX_ISNT_DATA(x) (!_SubSet_int_CXX_IS_DATA(x))


PRIMITIVE STk_init__SubSet_int_()
{
	Wrapper<_SubSet_int_>::type = STk_new_CXXwrapper_id(
			Wrapper<_SubSet_int_>::name, 
			"",
			(void (*)(SCM x, SCM port, int mode))
			display_subset_int,
			(void (*)(SCM x))0,
			(void (*)(SCM x))0);
	Tcl_InitHashTable(&Register<_SubSet_int_>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_SubSet_int_Methods(void);

PRIMITIVE STk_init_methods__SubSet_int_()
{
	genExtra_SubSet_int_Methods();
	return UNDEFINED;
}
